
QGIS Application - Bug report #12828

QGIS Crash when using composer and Windows Print Spooler is not running

2015-05-26 12:25 PM - Andy Harney

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.8.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20923

Description

Hi,

Attempting to alter the page setup of a print composer, I'm hit with an immediate crash and minidump.

This occurs both with and without an empty layout.

Thanks.

History

#1 - 2015-05-26 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

please attach a sample project/data.

#2 - 2015-05-26 12:31 PM - Andy Harney

The crash occurs on a brand new, empty project, without any data added.

#3 - 2015-05-26 12:34 PM - Giovanni Manghi

Andy Harney wrote:

The crash occurs on a brand new, empty project, without any data added.

(backup and) remove .the qgis2 folder, restart qgis and try again.

#4 - 2015-05-26 12:42 PM - Andy Harney

- File Capture.PNG added

I've found the cause, if the Windows service "Print Spooler" is not running when QGIS starts, QGIS will crash. 

However, if the service is running when QGIS starts, but stopped whilst QGIS is still open, QGIS will display the following,

http://i.imgur.com/esvfIiT.png
Not sure why the service had been stopped in my case, but I guess QGIS crashing outright isn't intended.

Thanks.

#5 - 2015-05-26 12:46 PM - Giovanni Manghi

- Subject changed from Crash - Composer - Page Setup to QGIS Crash when using composer and Windows Print Spooler is not running

- Status changed from Feedback to Open

- OS version deleted (8.1 (x64))

- Target version set to Future Release - Lower Priority

- Priority changed from Normal to Low

#6 - 2015-10-22 01:22 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you test with 2.12? I think this should be fixed now...

#7 - 2015-11-07 02:36 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing for the lack of feedback and as it should be fixed.

Files

qgis-20150526-184309-2528-6916-1b929ef.zip 3.86 MB 2015-05-26 Andy Harney

Capture.PNG 7.39 KB 2015-05-26 Andy Harney
